# Spec file for bareos-contrib packages.
# (c) 2015 Bareos GmbH & Co. KG
# License: AGPLv3

Name:           bareos-contrib
Version:        16.2.0.git.1535130545
Release:        8.1%{?dist}
License:        AGPLv3
Summary:        Bareos contributions
Url:            https://github.com/bareos/bareos-contrib/ 
Group:          Productivity/Archiving/Backup 
Source:         %{name}-%{version}.tar.gz
Vendor:         The Bareos Team
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
#%else
#BuildArch:      noarch
%endif
%global debug_package %{nil}

%define plugin_dir     %{_libdir}/bareos/plugins

%description
Contrib packages

%package    filedaemon-python-plugin-mysql
Summary:        Bareos FD Python plugin for MySQL / MariaDB
Url:            https://github.com/bareos/bareos-contrib/tree/master/fd-plugins/mysql-python
Group:          Productivity/Archiving/Backup
Requires:       bareos-filedaemon-python-plugin
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description filedaemon-python-plugin-mysql
Bareos FD python plugin to backup MySQL / MariaDB using mysqldump.

%package    filedaemon-python-plugin-xtrabackup
Summary:        Bareos FD python plugin to use Perconas xtrabackup for incremental hotbackups of MySQL / MariaDB
Url:            https://github.com/bareos/bareos-contrib/tree/master/fd-plugins/bareos_percona
Group:          Productivity/Archiving/Backup
Requires:       bareos-filedaemon-python-plugin
Requires:		percona-xtrabackup-24
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description filedaemon-python-plugin-xtrabackup
Bareos FD python plugin to use Perconas xtrabackup for incremental hotbackups of MySQL / MariaDB.
Incremental backups supported for InnoDB tables, only. MYISAM can only be retrieved as full-backup.
Uses Percona's xtrabackup tool.
	


%package    director-python-plugin-nsca    
Summary:    Submits Bareos job results by nsca to Nagios / Icinga
Url:        https://github.com/bareos/bareos-contrib/tree/master/dir-plugins/nagios_icinga
Group:      Productivity/Archiving/Backup
Requires:   bareos-director-python-plugin
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description director-python-plugin-nsca
Submits Bareos job results by nsca to Nagios / Icinga

%prep
%setup -q

%build

%install 
install -d -m 755 %{buildroot}%{plugin_dir}
cd fd-plugins/mysql-python
cp *py  %{buildroot}%{plugin_dir}
cd -
cd fd-plugins/bareos_percona
cp *py  %{buildroot}%{plugin_dir}
cd -
cd dir-plugins/nagios_icinga
cp *py  %{buildroot}%{plugin_dir}

%files filedaemon-python-plugin-mysql
%defattr(-,root,root,-)
%doc fd-plugins/mysql-python/README.md
%{plugin_dir}/BareosFdMySQLclass.*
%{plugin_dir}/bareos-fd-mysql.py*
%dir %{plugin_dir}
%dir %{_libdir}/bareos

%files director-python-plugin-nsca
%defattr(-,root,root,-)
%doc dir-plugins/nagios_icinga/README.md
%doc dir-plugins/nagios_icinga/check_bareos_jobs.ncfg
%{plugin_dir}/BareosDirPluginNscaSender.*
%{plugin_dir}/bareos-dir-nsca-sender.py*
%dir %{plugin_dir}
%dir %{_libdir}/bareos
 
%files filedaemon-python-plugin-xtrabackup
%defattr(-,root,root,-)
%doc fd-plugins/bareos_percona/README.md
%{plugin_dir}/BareosFdPercona.*
%{plugin_dir}/bareos-fd-percona.py*
%dir %{plugin_dir}
%dir %{_libdir}/bareos
 
%changelog
